Get Public Templates Library ID

Open in ChatGPT Open in ChatGPT to ask questions about this page
Open in Claude Open in Claude to ask questions about this page
Copy as MarkdownCopy this page as markdown to use with AI assistants
View as Markdown Open this page as markdown in a new tab

Public Templates are common templates that are publicly shared with all users of WorkDrive, which are present within the "Public Template Library". Any WorkDrive user can view and use Public Templates.

This API fetches the Public Templates Library ID.

Endpoints

OAuth Scope

WorkDrive.libraries.READCopied!

Request Example

cURL
cURL
Deluge
Copied!
curl --request GET \
  --url 'https://www.zohoapis.com/workdrive/api/v1/libraries?filter%5Btype%5D=2&filter%5Bspace%5D=template' \
  --header 'Authorization: Zoho-oauthtoken d92d4xxxxxxxxxxxxx15f52'

Query Parameters

Note:

Query parameter name should be URL encoded with UTF-8 Charset. For more info, refer here

filter[type]string(Required)

The value should be the integer "2" for the template library

filter[space]string(Required)

The value should be the string "template" denoting template library

Response Example

F000

200
200
500
Copied!
  {
    "data": [
      {
        "id": "lh6rdTMPLIBtemplate",
        "type": "libraries",
        "attributes": {
          "capabilities": {
            "can_read": true,
            "can_favourite": true,
            "can_share": false,
            "can_remove_share": false,
            "can_delete": false,
            "can_edit": false,
            "can_manage": false,
            "can_read_fill": false,
            "can_create_files": false,
            "can_upload_files": false,
            "can_trash": false,
            "can_rename": false,
            "can_restore": false,
            "can_copy": false,
            "can_move": false,
            "can_zip": true,
            "can_download": true,
            "can_emailattach": true,
            "can_publish": false,
            "can_org_publish": false,
            "can_checkout": false,
            "can_cancel_checkout": false,
            "can_discard_checkout": false,
            "can_checkin": false,
            "can_read_comment": false,
            "can_create_comment": false,
            "can_delete_comment": false,
            "can_edit_comment": false,
            "can_replyto_comment": false,
            "can_trash_files": false,
            "can_share_files": false,
            "can_leave": false,
            "can_add_members": false,
            "can_join": false,
            "can_download_files": true,
            "is_admin": false
          },
          "view_pref": {
            "sort_by": "created_time",
            "sort_order": "desc",
            "filtered_by": "all",
            "layout": "grid"
          },
          "parent_id": "-1",
          "library_type": 2,
          "library_name": "default_template_library"
        },
        "relationships": {
          "permissions": {
            "links": {
              "self": "https://workdrive.zoho.com/api/v1/libraries/lh6rdTMPLIBtemplate/relationships/permissions",
              "related": "https://workdrive.zoho.com/api/v1/libraries/lh6rdTMPLIBtemplate/permissions"
            }
          },
          "files": {
            "links": {
              "self": "https://workdrive.zoho.com/api/v1/libraries/lh6rdTMPLIBtemplate/relationships/files",
              "related": "https://workdrive.zoho.com/api/v1/libraries/lh6rdTMPLIBtemplate/files"
            }
          },
          "categories": {
            "links": {
              "self": "https://workdrive.zoho.com/api/v1/libraries/lh6rdTMPLIBtemplate/relationships/categories",
              "related": "https://workdrive.zoho.com/api/v1/libraries/lh6rdTMPLIBtemplate/categories"
            }
          },
          "publiccategories": {
            "links": {
              "self": "https://workdrive.zoho.com/api/v1/libraries/lh6rdTMPLIBtemplate/relationships/publiccategories",
              "related": "https://workdrive.zoho.com/api/v1/libraries/lh6rdTMPLIBtemplate/publiccategories"
            }
          }
        },
        "links": {
          "self": "https://workdrive.zoho.com/api/v1/libraries/lh6rdTMPLIBtemplate"
        }
      }
    ]
  }
                
  {
    "errors": [
      {
        "id": "F000",
        "title": "Generic server-side failure"
      }
    ]
  }
                
Show full